Bug Hunting Session
Bug 112856 - FILEOPEN DOCX Bad header display / rels with image from header2.xml but should display header3.xml
Summary: FILEOPEN DOCX Bad header display / rels with image from header2.xml but shoul...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.4.1.2 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: DOCX-Header-Footer
  Show dependency treegraph
 
Reported: 2017-10-03 09:02 UTC by Euclyde
Modified: 2019-02-11 03:39 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Bad docx (171.56 KB, application/zip)
2017-10-03 09:04 UTC, Euclyde
Details
Screenshot of badness (87.18 KB, image/png)
2017-11-02 17:49 UTC, Buovjaga
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Euclyde 2017-10-03 09:02:21 UTC
Description:
When I open my docx is look good with Word, OpenOffice Writer, OnlyOffice Writer but with LibreOffice Writer no.
LibreOffice display image rels in the Header but this is not the good header to display.
This happen only with one docx all others are good.

Steps to Reproduce:
1. Open my docx
2.
3.

Actual Results:  
Bad display with unwanted image include in the doc

Expected Results:
Bad pdf created with the docx from LibreOffice Writer


Reproducible: Always

User Profile Reset: No

Additional Info:


User-Agent: Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/61.0.3163.100 Safari/537.36
Comment 1 Euclyde 2017-10-03 09:04:15 UTC
Created attachment 136726 [details]
Bad docx

This is the bad docx
Comment 2 Buovjaga 2017-11-02 17:49:48 UTC
Created attachment 137479 [details]
Screenshot of badness

I guess this is what you mean.

In LibreOffice 3.3, though, the document is all mashed up into 1 page, so apparently AOO has fixed something in the mean time.

Arch Linux 64-bit, KDE Plasma 5
Version: 6.0.0.0.alpha1+
Build ID: fff7097f1ed8493de099d79aa0613ea6b309100a
CPU threads: 8; OS: Linux 4.13; UI render: default; VCL: kde4; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Built on November 2nd 2017
Comment 3 vihsa 2018-02-10 12:34:59 UTC
reproducible

similar to attachment on comment 2

Version: 6.1.0.0.alpha0+
core:7ea2311ab734d19b705cf98aa9506cbe122e74e4
tinderbox: pull time 2018-02-09 17:44:16
tinderbox: buildname: Android-ARM@24-Bytemark-Hosting
lyf flame 3, android 5.1
Comment 4 QA Administrators 2019-02-11 03:39:57 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug